Skip to content
GET/{organizationId}/{mandateId}/crm/proofs/list

List all proofs

Required permissions:

  • mandate.read

  • proof.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Query Parameters

limitintegeroptional

Default: 50

minimum: 0

maximum: 100

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

returnCountbooleanoptional

Default: false

searchTermstringoptional
typeIdstringoptional
contactIdstringoptional
statusstringoptional

Options:

requestedconfirmedrequireddueoverdueexpired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/crm/proofs/list
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/proofs/list' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "count": 0,
  "proofs": [
    {
      "_id": "000000000000000000000001",
      "mandates": [
        "000000000000000000000001"
      ],
      "status": "requested",
      "type": "000000000000000000000001",
      "typeName": "string",
      "contact": {
        "name": "string",
        "type": "contact",
        "nameNormalized": "string",
        "nameSort": "string",
        "contact": "000000000000000000000001",
        "image": {
          "resource": "string"
        },
        "user": {
          "name": "string",
          "type": "user",
          "userId": "string",
          "image": {
            "resource": "string"
          }
        }
      },
      "requestDispatchStatus": {
        "openedAt": "2026-06-15T22:30:00Z",
        "sentAt": "2026-06-15T22:30:00Z",
        "dispatchedBy": {
          "name": "string",
          "type": "user",
          "userId": "string",
          "image": {
            "resource": "string"
          }
        },
        "sendStatus": "none",
        "sendError": "NO_CREDITS_ENOUGH",
        "sendPrice": 1
      },
      "confirmationDispatchStatus": {
        "openedAt": "2026-06-15T22:30:00Z",
        "sentAt": "2026-06-15T22:30:00Z",
        "dispatchedBy": {
          "name": "string",
          "type": "user",
          "userId": "string",
          "image": {
            "resource": "string"
          }
        },
        "sendStatus": "none",
        "sendError": "NO_CREDITS_ENOUGH",
        "sendPrice": 1
      },
      "confirmation": {
        "issuedAt": "string",
        "issuingAuthority": "string",
        "reviewedAt": "string",
        "reviewedBy": "string",
        "notes": "string",
        "documents": [
          {
            "resource": "string",
            "id": "string"
          }
        ]
      },
      "validTo": "string",
      "dueAt": "string",
      "overdueAt": "string",
      "autoCreatedAt": "string"
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}